Package org.eclipse.emf.cdo.transaction

# Class CDODefaultTransactionHandler2

java.lang.Object
org.eclipse.emf.cdo.transaction.CDODefaultTransactionHandler2

All Implemented Interfaces:
  `CDOTransactionHandler2`, `CDOTransactionHandlerBase`

public class CDODefaultTransactionHandler2 extends Object implements CDOTransactionHandler2
An empty default implementation of `CDOTransactionHandler2`.

Since:
  4.0
Author:
  Eike Stepper

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`CDODefaultTransactionHandler2()`

## Method Summary

Modifier and Type
Method
Description
`void`
`committedTransaction(CDOTransaction transaction, CDOCommitContext commitContext)`
This implementation does nothing.
`void`
`committingTransaction(CDOTransaction transaction, CDOCommitContext commitContext)`
This implementation does nothing.
`void`
`rolledBackTransaction(CDOTransaction transaction)`
This implementation does nothing.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CDODefaultTransactionHandler2

protected CDODefaultTransactionHandler2()

## Method Details

### committingTransaction

public void committingTransaction(CDOTransaction transaction, CDOCommitContext commitContext)
This implementation does nothing. Clients may override to provide specialized behavior.

Specified by:
  `committingTransaction` in interface `CDOTransactionHandler2`

### rolledBackTransaction

public void rolledBackTransaction(CDOTransaction transaction)
This implementation does nothing. Clients may override to provide specialized behavior.

Specified by:
  `rolledBackTransaction` in interface `CDOTransactionHandler2`

### committedTransaction

public void committedTransaction(CDOTransaction transaction, CDOCommitContext commitContext)
This implementation does nothing. Clients may override to provide specialized behavior.

Specified by:
  `committedTransaction` in interface `CDOTransactionHandler2`